<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Javascript_Basic</title>
    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.2/css/all.min.css">
    <script type="text/javascript" src="Item.js" defer></script>
    <script type="text/javascript" src="CartManager.js" defer></script>
    <script type="text/javascript" src="main.js" defer></script>
</head>

<body>
    <h1>My Grocery Shopping Cart</h1>

    <section id="budget-prompt">
        <p>
            YOUR BUDGET (USD): <input id="budget" type="number" min="0.01" step="0.01" max="2500" value="" name="budget"></input><br />
        </p>

        <button onclick="setBudget()">SET BUDGET</button>
        <p>OR</p>
        <button onclick="setNoBudget()" id="no-budget-button">NO BUDGET</button>

        <p>YOUR BUDGET IS <span id="budget-text">NOT SET</span></p>
        <P id="budget-limit-warning"> </P>
    </section>

    <section id="user-prompt">
        <p>
            ITEM'S TYPE: <input id="type" type="text" value="" name="type"></input><br />
        </p>
        <p>
            QUANTITY: <input id="quantity" type="number" value="" name="quantity"></input><br />
        </p>
        <p>
            PRICE PER ITEM (USD): <input id="price" type="number" min="0.01" step="0.01" max="2500" value="" name="price"></input><br />
        </p>
        <button onclick="addItem()">ADD TO CART</button>
    </section>

    <aside>
        <button onclick="showCart()">SHOW SHOPPING CART</button>
        <p>SPENDING TOTAL: <span id="total-text">0</span></p>
        <ul id="shopping-cart" class="show"></ul>
    </aside>

</body>

</html>